# Source for file Database.php

Documentation is available at Database.php

1. <?php
2. /*
3. * $Id: Database.php 1080 2007-02-10 18:17:08Z romanb $
4. *
5. * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
6. * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
7. * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
8. * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
9. * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
10. * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
11. * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
12. * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
13. * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
14. * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
15. * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
16. *
17. * This software consists of voluntary contributions made by many individuals
18. * and is licensed under the LGPL. For more information, see
19. * <http://www.phpdoctrine.com>.
20. */
21. Doctrine::autoload('Doctrine_Schema_Object');
22. /**
23. * @package Doctrine
24. * @url http://www.phpdoctrine.com
25. * @license http://www.opensource.org/licenses/lgpl-license.php LGPL
26. * @author Jukka Hassinen <Jukka.Hassinen@BrainAlliance.com>
27. * @version $Id: Database.php 1080 2007-02-10 18:17:08Z romanb $
28. */
29. /**
30. * class Doctrine_Schema_Database
31. * Holds information on a database
32. * @package Doctrine
33. * @category Object Relational Mapping
34. * @link www.phpdoctrine.com
35. * @license http://www.opensource.org/licenses/lgpl-license.php LGPL
36. * @since 1.0
37. * @version $Revision: 1080 $
38. * @author Konsta Vesterinen <kvesteri@cc.hut.fi>
39. */
40. class Doctrine_Schema_Database extends Doctrine_Schema_Object
41. {
43. protected $definition = array('name' => null,
44. 'type' => null,
45. 'charset' => null,
46. 'description' => null,
47. 'version' => null,
48. 'engine' => null);
50. private $childs = array();
52. /**
53. *
54. * @return
55. * @access public
56. */
57. public function __clone( )
58. {
60. }
61. /**
62. *
63. * @return
64. * @access public
65. */
66. public function __toString( )
67. {
69. }
70. /**
71. *
72. * @return bool
73. * @access public
74. */
75. public function isValid( )
76. {
78. }
79. /**
80. *
81. * @param Doctrine_Schema_Table table * @return Doctrine_Schema_Table
82. * @access public
83. */
84. public function addTable( $table = null )
85. {
86. $this->childs[] = $table;
87. }
89. /**
90. *
91. * @return array of Doctrine_Schema_Table
92. *
93. */
94. public function getTables()
95. {
96. return $this->childs;
97. }
98. }